为了账号安全,请及时绑定邮箱和手机立即绑定

pycharm创建django后执行manage.py报错

/ 猿问

pycharm创建django后执行manage.py报错

慕瓜7318833 2019-05-19 13:17:26

mac上pycharm2019.1版本,创建django工程,使用的是anaconda,创建好后找到manage.py,点击执行,报错如下

Watching for file changes with StatReloader

Exception in thread Thread-1:

Traceback (most recent call last):

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/threading.py", line 917, in _bootstrap_inner

    self.run()

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/threading.py", line 865, in run

    self._target(*self._args, **self._kwargs)

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/utils/autoreload.py", line 54, in wrapper

    fn(*args, **kwargs)

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/core/management/commands/runserver.py", line 109, in inner_run

    autoreload.raise_last_exception()

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/utils/autoreload.py", line 77, in raise_last_exception

    raise _exception[0](_exception[1]).with_traceback(_exception[2])

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/utils/autoreload.py", line 54, in wrapper

    fn(*args, **kwargs)

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/__init__.py", line 24, in setup

    apps.populate(settings.INSTALLED_APPS)

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/apps/registry.py", line 114, in populate

    app_config.import_models()

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/apps/config.py", line 211, in import_models

    self.models_module = import_module(models_module_name)

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/importlib/__init__.py", line 127, in import_module

    return _bootstrap._gcd_import(name[level:], package, level)

  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import

  File "<frozen importlib._bootstrap>", line 983, in _find_and_load

  File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked

  File "<frozen importlib._bootstrap>", line 677, in _load_unlocked

  File "<frozen importlib._bootstrap_external>", line 728, in exec_module

  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/contrib/auth/models.py", line 2, in <module>

    from django.contrib.auth.base_user import AbstractBaseUser, BaseUserManager

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/contrib/auth/base_user.py", line 47, in <module>

    class AbstractBaseUser(models.Model):

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/db/models/base.py", line 117, in __new__

    new_class.add_to_class('_meta', Options(meta, app_label))

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/db/models/base.py", line 321, in add_to_class

    value.contribute_to_class(cls, name)

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/db/models/options.py", line 204, in contribute_to_class

    self.db_table = truncate_name(self.db_table, connection.ops.max_name_length())

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/db/__init__.py", line 28, in __getattr__

    return getattr(connections[DEFAULT_DB_ALIAS], item)

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/db/utils.py", line 201, in __getitem__

    backend = load_backend(db['ENGINE'])

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/db/utils.py", line 110, in load_backend

    return import_module('%s.base' % backend_name)

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/importlib/__init__.py", line 127, in import_module

    return _bootstrap._gcd_import(name[level:], package, level)

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/db/backends/sqlite3/base.py", line 28, in <module>

    from .introspection import DatabaseIntrospection            # isort:skip

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/db/backends/sqlite3/introspection.py", line 4, in <module>

    import sqlparse

ModuleNotFoundError: No module named 'sqlparse'


Traceback (most recent call last):

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/apps/registry.py", line 155, in get_app_config

    return self.app_configs[app_label]

KeyError: 'admin'


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "/Users/apple/Desktop/untitled/manage.py", line 21, in <module>

    main()

  File "/Users/apple/Desktop/untitled/manage.py", line 17, in main

    execute_from_command_line(sys.argv)

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/core/management/__init__.py", line 381, in execute_from_command_line

    utility.execute()

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/core/management/__init__.py", line 375, in execute

    self.fetch_command(subcommand).run_from_argv(self.argv)

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/core/management/base.py", line 323, in run_from_argv

    self.execute(*args, **cmd_options)

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/core/management/commands/runserver.py", line 60, in execute

    super().execute(*args, **options)

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/core/management/base.py", line 364, in execute

    output = self.handle(*args, **options)

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/core/management/commands/runserver.py", line 95, in handle

    self.run(**options)

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/core/management/commands/runserver.py", line 102, in run

    autoreload.run_with_reloader(self.inner_run, **options)

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/utils/autoreload.py", line 579, in run_with_reloader

    start_django(reloader, main_func, *args, **kwargs)

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/utils/autoreload.py", line 564, in start_django

    reloader.run(django_main_thread)

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/utils/autoreload.py", line 272, in run

    get_resolver().urlconf_module

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/utils/functional.py", line 80, in __get__

    res = instance.__dict__[self.name] = self.func(instance)

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/urls/resolvers.py", line 564, in urlconf_module

    return import_module(self.urlconf_name)

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/importlib/__init__.py", line 127, in import_module

    return _bootstrap._gcd_import(name[level:], package, level)

  File "<frozen importlib._bootstrap>", line 1006, in _gcd_import

  File "<frozen importlib._bootstrap>", line 983, in _find_and_load

  File "<frozen importlib._bootstrap>", line 967, in _find_and_load_unlocked

  File "<frozen importlib._bootstrap>", line 677, in _load_unlocked

  File "<frozen importlib._bootstrap_external>", line 728, in exec_module

  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed

  File "/Users/apple/Desktop/untitled/untitled/urls.py", line 20, in <module>

    path('admin/', admin.site.urls),

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/utils/functional.py", line 256, in inner

    self._setup()

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/contrib/admin/sites.py", line 529, in _setup

    AdminSiteClass = import_string(apps.get_app_config('admin').default_site)

  File "/Users/apple/.conda/envs/untitled/lib/python3.7/site-packages/django/apps/registry.py", line 162, in get_app_config

    raise LookupError(message)

LookupError: No installed app with label 'admin'.


Process finished with exit code 1


查看完整描述

1 回答

?
猿小天

应该是需要指定一个Python解释器吧。

查看完整回答
反对 回复 2019-05-20

添加回答

回复

举报

0/150
提交
取消
意见反馈 帮助中心 APP下载
官方微信